Andrew's git
/
scripts.git
/ diff
summary
|
log
|
commit
| diff |
tree
commit
grep
author
committer
pickaxe
?
re
Merge branch 'master' of charles:/tank/andrew/code/scripts
author
Andrew Lorimer
<andrew@lorimer.id.au>
Tue, 11 Dec 2018 05:46:48 +0000
(16:46 +1100)
committer
Andrew Lorimer
<andrew@lorimer.id.au>
Tue, 11 Dec 2018 05:46:48 +0000
(16:46 +1100)
update-blocklist.sh
[new file with mode: 0644]
patch
|
blob
raw
(from parent 2:
02cf747
)
diff --git a/update-blocklist.sh
b/update-blocklist.sh
new file mode 100644
(file)
index 0000000..
7630cc3
--- /dev/null
+++ b/
update-blocklist.sh
@@ -0,0
+1,10
@@
+# simple blacklist updater for OpenWRT
+
+#! /bin/bash
+set -e
+
+blacklist=http://www.squidblacklist.org/downloads/dg-ads.acl
+mkdir -p /tmp/dnsmasq-blocklist
+curl -s --max-filesize 20M -o /tmp/dnsmasq-blocklist/sbl-dg-ads.hosts
+$blacklist
+/etc/init.d/dnsmasq restart